Download it now!
Bug 96398 - pluginapp.bin & libpllo.so link against gtk+2
Summary: pluginapp.bin & libpllo.so link against gtk+2
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.beta1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-11 00:21 UTC by Emilio Pozuelo Monfort
Modified: 2016-11-21 17:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio Pozuelo Monfort 2015-12-11 00:21:27 UTC
This is related to bug #96396.

libpllo.so and pluginapp.bin link against GTK+2. That may be by design if the plugin process is meant to load NPAPI plugins that link against GTK+2 as well (e.g. Adobe Flash). However if that's not the case, it may be possible to do something about this. Also note that NPAPI plugins are being deprecated... but I don't really know what LO is doing with NPAPI plugins.
Comment 1 David Tardon 2015-12-11 08:22:46 UTC
This is by design, and it seems it is there specifically to support Flash.

As for the future of NPAPI, there was some discussion last year already: http://lists.freedesktop.org/archives/libreoffice/2014-June/061635.html .
Comment 2 Commit Notification 2015-12-17 15:33:16 UTC
Rene Engelhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c18af27bf95b332ee2006cfc0bbf469fb1a84d4

tdf#96398 kill remaining NPAPI support for plugins _inside_ LO

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-18 01:59:39 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42645fe67cac22e9a96bc4b34c4f85c09185d9d2

related tdf#96398 pull out more NPAPI-related code

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-09-29 11:26:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=09d83720ede6138a465e5531ae4dc8feb2bb39a0

related tdf#96398 Remove help for Insert - Object - Plugin
Comment 5 Commit Notification 2016-11-21 17:10:57 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5589970125ae4b8c0a091cfc12d058ca42ce2ab

[API CHANGE] Remove tdf#96398 leftover XRemoteServiceManagerProvider

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.